Redmine - Defect #28208

Anonymous icon is wrongly displayed when assignee is a group
2018-02-18 03:03 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.3.7

Resolution: Fixed Affected version: 3.3.6
Description

When the assignee of an issue is a group, an icon for an anonymous user is wrongly displayed. This behavior misleads as if the
assignee is an anonymous user.

| think there are two solutions:
1. Display an icon representing groups.
2. Don't display any icon (same behavior with Redmine 3.4.3 and earlier)

Bug #7

Nfue due today
Added by John Smith 26 days ago. Updated about 2 hours ago.

Status: New Start date:
Priority: Normal Due date:
Assignee: A Team % Done:
Category: - Estimated tif

Target version: -

Related issues:
Related to Redmine - Defect #26699: Anonymous user should have their icon Closed

Related to Redmine - Defect #28204: Too large avatar breaks gantt when assign... Closed

Associated revisions

Revision 17263 - 2018-04-07 09:25 - Jean-Philippe Lang

Anonymous icon is wrongly displayed when assignee is a group (#28208).

Patch by Go MAEDA.

Revision 17264 - 2018-04-07 09:29 - Jean-Philippe Lang
Merged r17263 into 3.4-stable (#28208).

Revision 17265 - 2018-04-07 09:30 - Jean-Philippe Lang
Merged r17263 into 3.3-stable (#28208).

Revision 17275 - 2018-04-07 10:15 - Jean-Philippe Lang
Merged test from r17263 into 3.4-stable (#28208).

Revision 17276 - 2018-04-07 10:16 - Jean-Philippe Lang
Merged test from r17263 into 3.3-stable (#28208).

History

#1 - 2018-02-18 03:06 - Go MAEDA
- Category set to Ul

- Affected version set to 3.3.6
#2 - 2018-02-18 03:06 - Go MAEDA

- Related to Defect #26699: Anonymous user should have their icon added

#3 - 2018-02-18 03:07 - Go MAEDA

- Related to Defect #28204: Too large avatar breaks gantt when assignee is a group added

#4 - 2018-02-18 03:20 - Go MAEDA
- File 28208.diff added

Here is a patch to fix this issue with the second solution (no icon for groups, the same behavior with 3.3.5 and 3.4.3).

#5 - 2018-02-18 04:31 - Mischa The Evil

- Target version set to 3.3.7

Go MAEDA wrote:

Here is a patch to fix this issue with the second solution (no icon for groups, the same behavior with 3.3.5 and 3.4.3).

Looks good to me. Groups icon is something that could be done later if there is actually demand for such.

#6 - 2018-04-07 09:30 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

Files
wrong-icon@2x.png 30 KB 2018-02-18 Go MAEDA
28208.diff 1.9 KB 2018-02-18 Go MAEDA
